%global api 2
%global major 2
%define libname %mklibname enchant %api %major
%define devname %mklibname -d enchant %api

Name:          enchant2
Version:       2.6.7
Release:       %mkrel 1
Summary:       An Enchanting Spell Checking Library
Group:         System/Libraries

License:       LGPLv2+
URL:           https://github.com/AbiWord/enchant
Source0:       https://github.com/AbiWord/enchant/releases/download/v%{version}/enchant-%{version}.tar.xz

BuildRequires: aspell-devel
BuildRequires: pkgconfig(glib-2.0)
BuildRequires: pkgconfig(hunspell)
BuildRequires: lib64voikko-devel
BuildRequires: lib64hspell0-devel
Provides:      bundled(gnulib)

%description
A library that wraps other spell checking backends.

%package -n %libname
Summary: An Enchanting Spell Checking Library
Group: System/Libraries

%description -n %libname
A library that wraps other spell checking backends.

%package -n %devname
Group: Development/Libraries
Summary: Development files for %{name}
Provides: enchant2-devel
Requires: %libname = %{version}-%{release}

%description -n %devname
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%prep
%setup -qn enchant-%{version}

%build


%configure2_5x \
    --with-aspell \
    --with-hunspell-dir=%{_datadir}/myspell \
    --disable-static
%make_build pkgdatadir=%{_datadir}/enchant-2

%install
%make_install pkgdatadir=%{_datadir}/enchant-2
find %{buildroot} -name '*.la' -delete

rm -rf %buildroot/%{_datadir}/doc

%files
%{_bindir}/enchant-2
%{_bindir}/enchant-lsmod-2
%{_mandir}
%{_datadir}/enchant-2-2/

%files -n %libname
%{_libdir}/libenchant-%{api}.so.%{major}*
%{_libdir}/enchant-2/enchant_hunspell.so
%{_libdir}/enchant-2/enchant_aspell.so
%{_libdir}/enchant-2/enchant_voikko.so
%{_libdir}/enchant-2/enchant_hspell.so

%files -n %devname
%{_libdir}/libenchant-2.so
%{_libdir}/pkgconfig/enchant-2.pc
%{_includedir}/enchant-2/


%changelog
* Sun Feb 18 2024 tex - 2.6.7-1pclos2024
- new version

* Thu Jan 11 2024 tex - 2.6.4-1pclos2024
- new version

* Sat Dec 02 2023 tex - 2.6.3-1pclos2023
- new version

* Sun Aug 28 2022 tex - 2.3.2-1pclos2022
- new version

* Mon Aug 16 2021 tex - 2.3.1-1pclos2021
- new version

* Tue Jun 15 2021 tex - 2.3.0-1pclos2021
- new version

